/*#io
Collector ioDoc(
docCopyright("Steve Dekorte", 2002)
docLicense("BSD revised")
*/

#ifndef IoCollector_DEFINED 
#define IoCollector_DEFINED 1

#include "IoObject.h"

#ifdef __cplusplus
extern "C" {
#endif

IoObject *IoCollector_proto(void *state);

IoObject *IoObject_collectGarbage(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_collectorDebugOn(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_collectorDebugOff(IoObject *self, IoObject *locals, IoMessage *m);

IoObject *IoObject_setAllocsPerSweep(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_allocsPerSweep(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_setSweepsPerGeneration(IoObject *self, IoObject *locals, IoMessage *m);
IoObject *IoObject_sweepsPerGeneration(IoObject *self, IoObject *locals, IoMessage *m);

#ifdef __cplusplus
}
#endif
#endif
